Subject: bug#464: wicd: does not find any ESSID on my wifi and does not support WPA-AES encryption...

From: Ryutaroh Matsumoto <[email-masked]>
Date: Sat, 16 May 2020 18:00:11 +0900 (JST)

Package: wicd
Version: 1.7.4+tb2-6+devuan1.1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

Without using ifupdown and /etc/network/interfaces for my wifi card,
"ip l" looks like

$ ip l
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast state DOWN mode DEFAULT group default qlen 1000
    link/ether 00:1b:d3:88:9b:8f brd ff:ff:ff:ff:ff:ff
3: wlan0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN mode DEFAULT group default qlen 1000
    link/ether 00:24:d6:59:c6:68 brd ff:ff:ff:ff:ff:ff

Under this situation, wicd network manager, which is the default
desktop network manager in Devuan, shows no ESSIDs attached as
screenshot (in Japanese).

Then "Configure an ad-hoc network" shows that encryption is
supported only by WEP, which is now considered very insecure.
WPA-AES is not supported for encryption by wicd.
Simply, I cannot use wicd to configure wifi on laptop.
Instead I can use /etc/init.d/networking and /etc/network/interfaces,
so unusability of wicd is acceptable.
But I wonder what is the supposed GUI method to configure
wifi with WPA-AES encryption on Devuan Beowulf...

Best regards, Ryutaroh Matsumoto

-- System Information:
Distributor ID:	Debian
Description:	Devuan GNU/Linux 3 (beowulf)
Release:	3
Codename:	beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-9-amd64 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8), LANGUAGE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages wicd depends on:
ii  wicd-daemon             1.7.4+tb2-6+devuan1.1
ii  wicd-gtk [wicd-client]  1.7.4+tb2-6+devuan1.1

wicd recommends no packages.

wicd suggests no packages.

Versions of packages wicd-gtk depends on:
ii  python         2.7.16-1
ii  python-glade2  2.24.0-5.1+b1
ii  python-gtk2    2.24.0-5.1+b1
ii  wicd-daemon    1.7.4+tb2-6+devuan1.1

Versions of packages wicd-gtk recommends:
ii  policykit-1    0.105-25+devuan8
ii  python-notify  0.1.1-4

Versions of packages wicd-daemon depends on:
ii  adduser           3.118
ii  dbus              1.12.16-1+devuan2
ii  debconf           1.5.71
ii  iputils-ping      3:20180629-2+deb10u1
ii  isc-dhcp-client   4.4.1-2
ii  lsb-base          10.2019051400
ii  net-tools         1.60+git20180626.aebd88e-1+devuan1
ii  psmisc            23.2-1
ii  python            2.7.16-1
ii  python-dbus       1.2.8-3
ii  python-gobject-2  2.28.6-13+b1
ii  python-wicd       1.7.4+tb2-6+devuan1.1
ii  wireless-tools    30~pre9-13
ii  wpasupplicant     2:2.7+git20190128+0c1e29f-6+deb10u2

Versions of packages wicd-daemon recommends:
ii  rfkill                  2.33.1-0.1+devuan1~beowulf2
ii  wicd-gtk [wicd-client]  1.7.4+tb2-6+devuan1.1

Versions of packages wicd-daemon suggests:
pn  ethtool   <none>
ii  iproute2  4.20.0-2
pn  pm-utils  <none>

Versions of packages python-wicd depends on:
ii  net-tools  1.60+git20180626.aebd88e-1+devuan1
ii  python     2.7.16-1

Versions of packages python-wicd suggests:
pn  ethtool   <none>
ii  iproute2  4.20.0-2

-- debconf information:
* wicd/users: